{
    description = "NixOS Machine Configurations by manuth";

    inputs = {
        nixpkgs.url = "nixpkgs/nixos-unstable";
    };

    outputs = { self, nixpkgs }: 
    let
        system = import ./lib/system.nix {
            inherit nixpkgs;
        };
    in {
        nixosConfigurations.manu-surface = system "manu-surface" {};
    };
}
